package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.List;

public class PracticeGroupApplyDto {

    @ApiModelProperty(value = "网管课基本信息",required = false)
    private PracticeGroupApplyBaseInfoDto practiceGroupApplyBaseInfoDto;

    @ApiModelProperty(value = "课程计划列表",required = false)
    private List<CourseSchedule> courseSchedules;

    @ApiModelProperty(value = "课程组只能是正常状态")
    private boolean onlyProgress;

    private BigDecimal singleClassPrice;

    @ApiModelProperty(value = "是否赠课")
    private Boolean giveFlag;

    @ApiModelProperty(value = "是否允许超出活动允许的学生使用次数")
    private Boolean allowOverstepActivityStudentNum = false;

    public Boolean getGiveFlag() {
        return giveFlag;
    }

    public void setGiveFlag(Boolean giveFlag) {
        this.giveFlag = giveFlag;
    }

    public Boolean getAllowOverstepActivityStudentNum() {
        return allowOverstepActivityStudentNum;
    }

    public void setAllowOverstepActivityStudentNum(Boolean allowOverstepActivityStudentNum) {
        this.allowOverstepActivityStudentNum = allowOverstepActivityStudentNum;
    }

    public BigDecimal getSingleClassPrice() {
        return singleClassPrice;
    }

    public void setSingleClassPrice(BigDecimal singleClassPrice) {
        this.singleClassPrice = singleClassPrice;
    }

    public PracticeGroupApplyBaseInfoDto getPracticeGroupApplyBaseInfoDto() {
        return practiceGroupApplyBaseInfoDto;
    }

    public void setPracticeGroupApplyBaseInfoDto(PracticeGroupApplyBaseInfoDto practiceGroupApplyBaseInfoDto) {
        this.practiceGroupApplyBaseInfoDto = practiceGroupApplyBaseInfoDto;
    }

    public List<CourseSchedule> getCourseSchedules() {
        return courseSchedules;
    }

    public void setCourseSchedules(List<CourseSchedule> courseSchedules) {
        this.courseSchedules = courseSchedules;
    }

    public boolean getOnlyProgress() {
        return onlyProgress;
    }

    public void setOnlyProgress(boolean onlyProgress) {
        this.onlyProgress = onlyProgress;
    }
}
